/** ColEm: portable Coleco emulator **************************/
/**                                                         **/
/**                          Help.h                         **/
/**                                                         **/
/** This file contains help information printed out by the  **/
/** main() routine when started with option "-help".        **/
/**                                                         **/
/** Copyright (C) Marat Fayzullin 1994-2007                 **/
/**     You are not allowed to distribute this software     **/
/**     commercially. Please, notify me, if you make any    **/
/**     changes to this file.                               **/
/*************************************************************/

char *HelpText[] =
{
  "\nUsage: colem [-option1 [-option2...]] [filename]",
  "\n[filename] = Name of the file to load as a cartridge [CART.ROM]",
#ifdef ZLIB
  "  This program will transparently uncompress singular GZIPped",
  "  and PKZIPped files.",
#endif
  "\n[-option]  =",
  "  -verbose <level>    - Select debugging messages [5]",
  "                        0 - Silent       1 - Startup messages",
  "                        2 - VDP          4 - Illegal Z80 ops",
  "                                        16 - Sound",
  "  -pal/-ntsc          - Video system to use [-ntsc]",
  "  -skip <percent>     - Percentage of frames to skip [25]",
  "  -help               - Print this help page",
  "  -adam/-cv           - Run in Adam/ColecoVision mode [-cv]",
  "  -allspr             - Show all sprites [off]",
  "  -autoa/-noautoa     - Autofire/No autofire for FIRE-R button [-noautoa]",
  "  -autob/-noautob     - Autofire/No autofire for FIRE-L button [-noautob]",
  "  -spin1x/-spin1y     - Mouse X/Y position as SuperAction spinner 1 [off]",
  "  -spin2x/-spin2y     - Mouse X/Y position as SuperAction spinner 2 [off]",
  "  -drums/-nodrums     - Hit/Don't hit MIDI drums on noise [-nodrums]",
  "  -logsnd <filename>  - Write soundtrack to a MIDI file [LOG.MID]",
  "  -palette <number>   - Use given color palette [0]",
  "                        0 - Scaled VDP colors   1 - Original VDP colors",
  "                        2 - Faded NTSC colors",
#ifdef DEBUG
  "  -trap <address>     - Trap execution when PC reaches address [FFFFh]",
#endif
  "  -sound [<quality>]  - Sound emulation quality [22050]",
  "  -nosound            - Don't emulate sound [-nosound]",
#ifdef UNIX
#ifdef MITSHM
  "  -shm/-noshm         - Use/don't use MIT SHM extensions for X [-shm]",
#endif
  "  -saver/-nosaver     - Save/don't save CPU when inactive [-saver]",
#endif
#ifdef MSDOS
  "  -vsync/-novsync     - Sync/Don't sync screen updates [-vsync]",
  "  -sync <frequency>   - Sync screen updates to <frequency> [0]",
  "  -nosync             - Same as '-sync 0'",
#ifdef BPP16
  "  -tv/-notv           - Simulate/Don't simulate scanlines [-notv]",
#endif
  "  -zoom/-nozoom       - Zoom display to the whole screen [-nozoom]",
#endif
  "\nKeyboard bindings:",
  "  [ALT]          - Hold to switch to the second controller",
  "  [SPACE]        - FIRE-R button (also: [SHIFT],A,S,D,F,G,H,J,K,L)",
  "  [CONTROL]      - FIRE-L button (also: Z,X,C,V,B,N,M)",
  "  [Q]            - SuperAction PURPLE button (also: E,T,U,O)",
  "  [W]            - SuperAction BLUE button (also: R,Y,I,P)",
  "  [0]-[9]        - Digit buttons",
  "  [-]            - [*] button",
  "  [=]            - [#] button",
  "  [PGUP]         - Fast-forward emulation (also: [F9])",
  "  [ESC]          - Quit emulation (also: [F12])",
#ifdef DEBUG
  "  [F1]           - Go into the built-in debugger",
#endif
  "  [F2]           - Turn soundtrack log on/off",
  "  [F3]           - Toggle FIRE-R autofire on/off",
  "  [F4]           - Toggle FIRE-L autofire on/off",
  "  [F5]           - Invoke configuration menu",
  "  [F6]           - Load emulation state",
  "  [F7]           - Save emulation state",
#ifdef MSDOS
  "  [F8]           - Turn scanline simulation on/off",
  "  [CTRL]+[F8]    - Toggle display zoom on/off",
#endif
  "  [F9]           - Fast-forward emulation (also: [PGUP])",
#ifdef GIFLIB
  "  [F10]          - Make a screen snapshot (SNAPxxxx.GIF)",
#endif
  "  [F11]          - Reset hardware",
  "  [F12]          - Quit emulation (also: [ESC])",
  "  [ALT]+[PGUP]   - Increase audio volume",
  "  [ALT]+[PGDOWN] - Decrease audio volume",
#ifdef WINDOWS
  "  [ALT]+[ENTER]  - Switch between full scren and window modes",
#endif
  0
};
